Bug 734669 - Remove single message_bus.conf and have each service use their respective configs.
Summary: Remove single message_bus.conf and have each service use their respective con...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: qpid
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 06:21 UTC by Raymond Mancy
Modified: 2019-05-22 13:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-08 02:43:15 UTC


Attachments (Terms of Use)

Description Raymond Mancy 2011-08-31 06:21:11 UTC
This has already been done with beaker-client, not not for lab-controller nor server.

Comment 2 Petr Šplíchal 2011-09-02 12:09:57 UTC
Does not seem to be fixed. I've just updated to
beaker-client-0.7.0-1.el6eso.noarch and the traceback appeared
again:

psss@psss:~> bkr workflow-tcms --distro RHEL6
> Traceback (most recent call last):
>   File "/usr/bin/bkr", line 9, in <module>
>     load_entry_point('bkr.client==0.7.0', 'console_scripts', 'bkr')()
>   File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 299, in load_entry_point
>     return get_distribution(dist).load_entry_point(group, name)
>   File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2229, in load_entry_point
>     return ep.load()
>   File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 1948, in load
>     entry = __import__(self.module_name, globals(),globals(), ['__name__'])
>   File "/usr/lib/python2.6/site-packages/bkr/client/main.py", line 26, in <module>
>     BeakerCommandContainer.register_module(bkr.client.commands, prefix="cmd_")
>   File "/usr/lib/python2.6/site-packages/kobo/plugins.py", line 192, in register_module
>     __import__(module.__name__, {}, {}, module_list)
>   File "/usr/lib/python2.6/site-packages/bkr/client/commands/cmd_job_watch.py", line 62, in <module>
>     from bkr.client.message_bus import ClientBeakerBus
>   File "/usr/lib/python2.6/site-packages/bkr/client/message_bus.py", line 3, in <module>
>     from bkr.common.message_bus import BeakerBus
>   File "/usr/lib/python2.6/site-packages/bkr/common/message_bus.py", line 22, in <module>
>     class BeakerBus(object):
>   File "/usr/lib/python2.6/site-packages/bkr/common/message_bus.py", line 50, in BeakerBus
>     headers_exchange = config.get('global', 'headers_exchange')
>   File "/usr/lib64/python2.6/ConfigParser.py", line 541, in get
>     raise NoOptionError(option, section)
> ConfigParser.NoOptionError: No option 'headers_exchange' in section: 'global'

Comment 3 Raymond Mancy 2011-09-05 07:40:05 UTC
Sorry the rpos have not been updated

Comment 4 Raymond Mancy 2011-09-06 00:39:47 UTC
Petr, the beaker-stage repo has been rebuilt to include the latest code. Sorry for the delay

Comment 5 Petr Šplíchal 2011-09-06 16:27:24 UTC
Verified with beaker-client-0.7.0-1.git.43.5c97321.el6eso.noarch.
Trace back no more present. Thanks for the fix.

Comment 6 Dan Callaghan 2011-09-08 02:43:15 UTC
Beaker 0.7.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.